Name:		qsynth
Version:	0.9.10
Release:	%mkrel 1
Summary:	Qt GUI Interface for FluidSynth
License:	GPLv2+
Group:		Sound
URL:		http://qsynth.sourceforge.net/
Source0:	http://downloads.sourceforge.net/qsynth/%{name}-%{version}.tar.xz

BuildRequires:	qttools5
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)

Requires:	fluidsynth

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around
the Qt5 toolkit using Qt Designer. Eventually it may evolve into a
softsynth management application allowing the user to control and manage
a variety of command line softsynth but for the moment it wraps the
excellent FluidSynth.

%prep
%setup -q

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -Wno-dev -B build
cmake --build build %{?_smp_mflags}

%install
DESTDIR="%{buildroot}" \
cmake --install build

#menu
desktop-file-install \
  --remove-key="X-SuSE-translate" \
  --remove-key="Version" \
  --remove-category="Audio" \
  --remove-category="AudioVideo" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*.desktop

%files
%{_bindir}
%{_datadir}

%changelog
* Sun Mar 26 2023 tex - 0.9.10-1pclos2023
- new version

* Wed Dec 28 2022 tex - 0.9.9-1pclos2023
- new version

* Tue Oct 04 2022 tex - 0.9.8-1pclos2022
- new version

* Sat Jan 15 2022 tex - 0.9.5-1pclos2022
- new version

* Fri Oct 15 2021 tex - 0.9.4-2pclos2021
- rebuild against updates

* Tue Jul 06 2021 tex - 0.9.4-1pclos2021
- new version

* Wed May 12 2021 tex - 0.9.3-1pclos2021
- new version

* Wed Mar 17 2021 tex - 0.9.2-1pclos2021
- new version

* Mon Feb 08 2021 tex - 0.9.1-1pclos2021
- new version

* Sun Dec 20 2020 tex - 0.9.0-1pclos2021
- new version

* Thu Mar 26 2020 tex - 0.6.2-1pclos2020
- new version

* Sun Dec 22 2019 tex - 0.6.1-1pclos2019
- new version: 0.6.1
